Skip to main content
GET
/
v1
/
accounts
/
{id}
/
balance
Get the balance of an Account by ID
curl --request GET \
  --url https://api.bookeeping.ai/public-api/v1/accounts/{id}/balance \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "metaData": {
    "warnings": [
      "<string>"
    ]
  },
  "data": {
    "account": {
      "_id": "<string>",
      "projectId": "<string>",
      "accountType": "Depository",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "nickName": "<string>",
      "accountName": "<string>",
      "accountNumber": "<string>"
    },
    "institutionBalance": {
      "currency": "<string>",
      "endingBalance": 123
    },
    "accountingBalance": {
      "currency": "<string>",
      "endingBalance": 123,
      "monthWiseBalance": [
        {
          "month": "<string>",
          "endingBalance": 123,
          "currentBalance": 123,
          "startingBalance": 123
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Get your key from the Dashboard > Settings > API Access.

Path Parameters

id
string
required

The id of the account. Expected to be a valid object id like 666666666666666666666666

Pattern: ^[0-9A-Fa-f]{24}$

Response

Get the balance of an Account by ID executed successfully

message
string

Success message

metaData
object
data
object